aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRuijing Guo <ruijing.guo@intel.com>2015-12-11 06:23:23 +0000
committerJonas Bjurel <jonas.bjurel@ericsson.com>2015-12-11 18:34:10 +0000
commitdfbc2a3745c841a972476d4808a28e8712d5a090 (patch)
tree0db8a244b9cd6d9f63e3011724d2676d89abcb57
parent87d7954aa9a99bffbe35516c26e269fd3385f9d4 (diff)
Update QEMU/KVM plugin
1. docker based build in qemu plugin 2. rebase to fuel 7.0 3. add kvm4nfv Change-Id: I5aceeec5e5f88b936cea43fa07db36f65e332211 Signed-off-by: Ruijing Guo <ruijing.guo@intel.com>
-rw-r--r--build/f_isoroot/f_qemupluginbuild/Makefile1
-rw-r--r--build/f_isoroot/f_qemupluginbuild/config.mk2
-rwxr-xr-xbuild/f_isoroot/f_qemupluginbuild/install_docker.sh27
3 files changed, 29 insertions, 1 deletions
diff --git a/build/f_isoroot/f_qemupluginbuild/Makefile b/build/f_isoroot/f_qemupluginbuild/Makefile
index d815f0858..4e8d9e9f6 100644
--- a/build/f_isoroot/f_qemupluginbuild/Makefile
+++ b/build/f_isoroot/f_qemupluginbuild/Makefile
@@ -37,6 +37,7 @@ release:.qemubuild
@rm -rf fuel-plugin-qemu
sudo apt-get -y install build-essential ruby-dev rubygems-integration python-pip git rpm createrepo dpkg-dev
sudo pip install fuel-plugin-builder
+ ./install_docker.sh
git clone $(QEMU_REPO)
cd fuel-plugin-qemu; \
git checkout $(QEMU_BRANCH); \
diff --git a/build/f_isoroot/f_qemupluginbuild/config.mk b/build/f_isoroot/f_qemupluginbuild/config.mk
index 4344a5811..93fe26995 100644
--- a/build/f_isoroot/f_qemupluginbuild/config.mk
+++ b/build/f_isoroot/f_qemupluginbuild/config.mk
@@ -7,6 +7,6 @@
# http://www.apache.org/licenses/LICENSE-2.0
##############################################################################
-QEMU_BRANCH=63fb920a81bf62187c6c995ef7a52ddd877f33ba
+QEMU_BRANCH=33a4c9632d826ac9c054fb498787831734829992
QEMU_REPO=https://review.openstack.org/openstack/fuel-plugin-qemu
QEMU_CHANGE=
diff --git a/build/f_isoroot/f_qemupluginbuild/install_docker.sh b/build/f_isoroot/f_qemupluginbuild/install_docker.sh
new file mode 100755
index 000000000..02acce2e0
--- /dev/null
+++ b/build/f_isoroot/f_qemupluginbuild/install_docker.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+# From prepare-build-env.sh of Fuel
+# Check if docker is installed
+if hash docker 2>/dev/null; then
+ echo "Docker binary found, checking if service is running..."
+ ps cax | grep docker > /dev/null
+ if [ $? -eq 0 ]; then
+ echo "Docker is running."
+ else
+ echo "Process is not running, starting it..."
+ sudo service docker start
+ fi
+else
+ # Install docker repository
+ # Check that HTTPS transport is available to APT
+ if [ ! -e /usr/lib/apt/methods/https ]; then
+ sudo apt-get update
+ sudo apt-get -y install -y apt-transport-https
+ fi
+ # Add the repository to APT sources
+ echo deb http://mirror.yandex.ru/mirrors/docker/ docker main | sudo tee /etc/apt/sources.list.d/docker.list
+ # Import the repository key
+ sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 36A1D7869245C8950F966E92D8576A8BA88D21E9
+ # Install docker
+ sudo apt-get update
+ sudo apt-get -y install lxc-docker-1.5.0
+fi